# Protokoll
- Treffen Nr. 6 des Softwareentwicklungsprojektes (G6) im SoSe 2025
- Datum: 06.05.2025
- Beginn des Treffens: 14:15 Uhr
- Ort: A0-22 
 
# Teilnehmer:innen
- Benno Schmidt
- Leon Behler
- Lena Labraimi

Fehlend:
- Pia Melina Rolf
- Christian Danowski-Buhren

# **TOP 1**: Organisatorisches
- Das Protokolle der vergangenen Sitzung wurden genehmigt.
- Kollaboratives Online-Protokoll der heutigen Sitzung: https://edupad.ch/p/SVwevDuv5V

# **TOP 2**: Abfrage der Intel-Tiefenkamera
- Abfrage der neue Intel-Kamera über Python-Skript auf Notebook von Leon Behler hat jetzt funktioniert (vgl. Protokoll der letzten Sitzung).
  - Problem war die lokal bei ihm verwendete Python-Version gewesen; benötigt wird Python 3.10. 
  - Leon Behler musste beide vorhandenen Python Versionen aus feinem Notebook deinstallieren und neuinstallieren. Dabei aber in den erweiterten Einstellungen die Haken setzten für den PyLauncher und für die PATH-Umgebungsvariablen. Danach konnte er mit dem PyLauncher die passende Version nutzen (3.10) und die entsprechenden pip-Installationen ausführen.

# **TOP 3**: Studium des bisherigen Codes von Pia Melina Rolf 
- Lauffähiger Beispiel-Code ist bereits im GitHub-Repository von Pia Melina Rolf zu finden: https://github.com/rolfp01/AR-Sandbox
  - Den Code haben wir uns heute angesehen; er wirkte gut verständlich. 
  - Verbesserungsvorschläge sollten im Weiteren zusammengetragen werden. -> *ToDo**: *alle*
  - Zu dokumentieren wäre u. a.:
    - Wo lege ich wie fest, welche konkrete Kamera-Hardware verwendet wird?  
    - Festlegung des "Arbeitsbereichs" / Georeferenzierung
    - Wie bringe ich der Anwendung bei, zwei Positionen für eine Streckenmessung festzulegen, z. B. durch Zeigen mit Finger, Positionieren besonderer Marker in *Arbeitsbereich* o. ä.
- Bem.: Es wäre schön, wenn die Anwendung auch ohne Tiefenkamera, nur mit einer herkömmlichen RGB-Kamera lauffähig wäre. -> Nicht-funktionale Anforderung; **ToDo**:Benno Schmidt: Dokumentieren unter https://gitlab-ce.hs-bochum.de/fachbereich-geodaesie/gi-projekte/tangiblesim/-/wikis/User_Stories
- Idealerweise demonstriert Pia Melina Rolf in der nächsten Sitzung ihre bisherige Anwendung.
  - Hat sie da Zeit? -> **ToDo**: *Benno Schmidt* fragt bei ihr nach

# **TOP 4**: User Storys
- Wir haben bereits erste Storys verfasst, siehe Wiki https://gitlab-ce.hs-bochum.de/fachbereich-geodaesie/gi-projekte/tangiblesim/-/wikis/User_Stories
- Sichtung der bereits formulierten Storys
    - "Schallausbreitung" (Storys 2.1 und 2.2) wird im Rahmen der Masterarbeit von Pia Melina Rolf wahrscheinlich umgesetzt.
    - Z. B. für dieses Projekt als Startpunkt geeignet: Story 1 (Hypsometrische Einfärbung), Story 6 (Messen), Story 10.1 (Lebendige Wand), ...
    - Schwierig umzusetzen: Story 1.2 (Regenwasserabfluss), Story 4 (Klimasimulation), Story 11 (Aquarium)
- Story 6 (Messen) ist noch auzuformulieren. -> **ToDo** *Leon Behler*
- Weiteres Vorgehen: Story-Auswahl, d. h.: Was setzen wir flankierend zur Bachelorarbeit von Pia Melina Rolf in diesem Semester um?
  - **ToDo**: Story-Auswahl -> *Lena Labraimi* und *Leon Behler* bis zum 12.05.2025.    

# **TOP 5**: Issues
- Vorüberlegung: Was ist beim Schreiben von Issues zu beachten?  
- Erste anstehende Issues für unser Projekt wurden heute formuliert und eingestellt in GitHub; siehe dort!
  - (Issues #1 und #2: wurden fehlerhaft generiert und wieder gelöscht) 
  - Issue #2: Festlegung des Arbeitsbereichs / Georeferenzierung  
  - Issue #4: Kalibrierung Beamer
  - Issue #5: Domänenabgrenzung / Mission Statement -> Issue wurde kurz nach der Sitzung eingestellt
  - Issue #6: Domänenglossar -> Issue wurde kurz nach der Sitzung eingestellt
  - Issue #7: Kalibrierung Kamera -> Issue wurde kurz nach der Sitzung eingestellt; geht das über ein separates Tool von Intel?
  - Objekterkennung (keine Issues zu eingestellt bislang)
  - ...
  
Ende des Treffens: 16:23 Uhr

Nächstes Treffen: Di. 13.05.2025, 14:15 Uhr im A0-22
