# Protokoll
- Treffen Nr. 9 des Softwareentwicklungsprojektes (G6) im SoSe 2025
- Datum: 03.06.2025
- Beginn des Treffens: 13:50 Uhr
- Ort: A0-22
 
# Teilnehmer:innen
- Benno Schmidt
- Leon Behler
- Lena Labraimi
- Pia Melina Rolf (per Video zugeschaltet)
- Christian Danowski-Buhren (per Video zugeschaltet)

Fehlend:
/

# **TOP 1**: Organisatorisches
- Kollaboratives Online-Protokoll der heutigen Sitzung: https://edupad.ch/p/SVwevDuv5V
- Das Protokoll der vergangenen Sitzung wurde genehmigt.
- Verfügbarkeiten in der kommenden Woche (Exkursionswoche)?
- Gliederung im Projekt-Wiki wächst langsam... 
- Issues (dt. in der GitLab-Oberfläche: "Tickets")
  - https://gitlab-ce.hs-bochum.de/fachbereich-geodaesie/gi-projekte/tangiblesim/-/issues 
 
# **TOP 2**: Berichte
- GitHub-Repository mit bisherigem Quellcode von Pia Melina Rolf: https://github.com/rolfp01/AR-Sandbox
- Pia Melina Rolf vom aktuellen Stand ihrer Arbeiten berichtet 
  - einfache Schallsimulation läuft rudimentär (inkl.  Objekterkennung über Farb- und Tiefenwerte)
    - Hausaufgabe: Das sollten wir uns näher ansehen **ToDo** Leon Behler, Lena Labraimi, Benno Schmidt
  - Weitere Absprachen zur Masterarbeit in der nächsten Woche (außerhalb dieses Projekts) -> **ToDo** Benno Schmidt, Pia Melina Rolf
  - Neue Kamera liegt im A0-22 abholbereit (hinter der digitalen Tafel vorne rechts auf dem Tisch)
- Sinnvolle/benötigte Dokumentation: Installationsanleitung  
  -> **ToDo** *Leon Behler*, siehe Issue #8 (später erste Prüfungsleistung!)

# **TOP 3**: Issues
- Bereitstellung "Hello, World"-Anwendung
  - Wie könnte die aussehen? -> **ToDo** Hausaufgabe war, darüber nachzudenken (möglichst etwas Einfaches auf Basis des Graustufenbildes)
- Neues Issue: Wie erweitere ich "Hello, World"-Anwendung um einfache Dinge?
  - 1. um neue Objekterkennung
  - 2. um neue "Simulation"
  - 3. um neue Ergebnisausgabe 
  - -> Hello-World-Tutorial inkl. Empfehlung einer Entwicklungsumgebung (z. B. VSCode) -> übernimmt wahrscheinlich *Lena Labraimi* später
- FAQs allg. Fragen / was bei Fehlern tun? etc. -> machen wir wahrscheinlich *gemeinsam*
- Welche User-Story sollen wir im Laufe des Semesters umsetzen?
- Wesentlicher nächster Schritt: Objekterkennung in Image (z. B. über OpenCV?!)
  - Z. B. zwei rote kleine Klötze für die beiden Endpunkte für eine Entfernungsmessung in Bild erkennen oder zwei gelbe Klötze für Längenfestlegung (30-cm-Maß o. ä.)
  
Ende des Treffens: 15:22 Uhr

Nächstes Plenumstreffen: Di. 17.06.2025, 14:15 Uhr im A0-22
(Zwischendurch aber Kommunikation über Discord!)