# Protokoll
- Treffen Nr. 4 des Softwareentwicklungsprojektes (G6) im SoSe 2025
- Datum: 15.04.2025 
- Beginn des Treffens: 14:15 Uhr
- Ort: A0-22 
 
# Teilnehmer:innen
- Benno Schmidt
- Leon Behler
- Lena Labraimi
- Pia Melina Rolf

Fehlend:
- Christian Danowski-Buhren

# **TOP 1**: Organisatorisches zum Softwareentwicklungsprojekt
- Die Protokolle der vergangenen Sitzungen wurden genehmigt.
- Kollaboratives Online-Protokoll der heutigen Sitzung: https://edupad.ch/p/SVwevDuv5V
- Discord-Channel: https://discord.com/channels/1328444796733489192/1354536736851497041 (Channel #tangiblesim des Labors für Geovisualisierung dort) 
- GitLab-Projekt wurde verschoben, aktuelles Repository: https://gitlab-ce.hs-bochum.de/fachbereich-geodaesie/gi-projekte/tangiblesim 
- Beschaffungsantrag für eine weitere Tiefenkamera (Intel RealSense Depth Camera D415) ist rausgegangen 
  - Infos zur neu beschafften Kamera: https://www.intelrealsense.com/depth-camera-d415/#:~:text=With%20the%20Intel%C2%AE%20RealSense%E2%84%A2%20depth%20camera%20D415%2C%20Intel,small%20form%20factor%20ideal%20for%20development%20and%20productization  

# **TOP 2**: Projektabgrenzung
- Mission Statement (noch etwas holprig...):
  - Es geht zunächst darum, per Tiefenkamera (RGB- und Tiefenbild) Situationen über oder auf einer *Arbeitsfläche* zu erfassen (z. B. Hände, Zeigestab, aufgestellte Objekte, Sandhöhen in der AR Sandbox etc.) und basierend auf der definierten Situation eine (Geo-) Simulation anzustoßen, deren Ergebnis lagerichtig per Beamer (farbig/strukturmäßig/helligkeitsmäßig) auf die Arbeitsfläche projiziert wird. Neben der Ergebnisdarstellung auf der Arbeitsfläche sind optional auch weitere Ausgabeformen möglich, z. B. per Audio, auf einem separaten Monitor o. ä.
  - Prüfen: Ist die Domäne zu eng oder zu breit oder genau richtig definiert? -> **ToDo**  weitere Wiedervorlage in der übernächsten Woche
- Weiteres Vorgehen: Domänenbeschreibung, User-Storys, dann Quellcode-Entwicklung (auf der Basis von Python)
  - Pia Melina Rolf hat bereits begonnen, ersten Python-Code zu entwickeln.  

# **TOP 3**: User Storys 
- Allgemeine Bemerkungen zur Formulierung von User Storys 
- User-Storys -> Wir haben in der letzten Woche erste Storys verfasst, siehe Wiki
  - Sichtung der bereits formulierten Storys
  - **ToDo** alle: Bis zur nächsten Sitzung gerne weitere Storys formulieren! 
    - Neue Storys können hier ergänzt werden: https://gitlab-ce.hs-bochum.de/web3d/tangiblesim/-/wikis/User_Stories 
- Benno Schmidt hat bereits erste Literatur rausgesucht zu den Storys und zur Arbeitsdomäne 
  - https://gitlab-ce.hs-bochum.de/fachbereich-geodaesie/gi-projekte/tangiblesim/-/tree/main/Literatur?ref_type=heads
- Weiteres Vorgehen: Story-Auswahl
- Hausaufgabe für die DigitalWoche wird sein: Aufwände abschätzen. -> Details dazu folgen in Kürze über den Discord-Channel.  
  - **ToDo** Benno Schmidt

# **TOP 4**: Verschiedenes
- Pia Melina Rolf hat Xtion-Kamera (ohne Kiste mit Treiber-CD) für Testzwecke mit nach Hause genommen und nunmehr abgefragt bekommen.
  - Das Tiefenbild setzt sicjh für die Xtoin-Kamera offenbar aus zwei zusammengerechneten Tiefenbildern zusammen. Es bleibt technisch zu klären, wie wir damit weiter umgehen.
- Zu adressieren sein wird im weiteren Projekt das Thema Georeferenzierung/Bereichsfestlegung der Arbeitsfläche.
 
Ende des Treffens: 15:28 Uhr

Nächstes Treffen: Di. 29.04.2025, 14:15 Uhr im A0-22
Achtung: Hausaufgabe für Digitalwoche (21.04.-24.04.2025) folgt übert Discord-Channel.
