# Protokoll
- Treffen Nr. 5 des Softwareentwicklungsprojektes (G6) im SoSe 2025
- Datum: 29.04.2025 
- Beginn des Treffens: 14:15 Uhr
- Ort: A0-22 
 
# Teilnehmer:innen
- Benno Schmidt
- Leon Behler
- Lena Labraimi
- Pia Melina Rolf

Fehlend:
- Christian Danowski-Buhren

# **TOP 1**: Organisatorisches
- Das Protokolle der vergangenen Sitzung wurden genehmigt.
- Kollaboratives Online-Protokoll der heutigen Sitzung: https://edupad.ch/p/SVwevDuv5V
- Neue Tiefenkamera (Intel RealSense Depth Camera D415) wurde geliefert.
  - **ToDo:** Bestätigung der einwandfreien Lieferung (Benno Schmidt)
- Letzte Woche war Digitalwoche (asynchrone digitale Lehre) 
  - Aufgabe war: 
    - 1. Informieren: Was sind Issues? Link: https://docs.gitlab.com/user/project/issues/ 
    - 2. Überlegen: Was ist beim Schreiben von Issues zu beachten?  
    - 3. Anstehende Issues für unser Projekt überlegen (aber noch nicht einstellen in GitLab; das machen wir gemeinsam in der Sitzung am 06.05.2025)
- Hinweis: Prüfungsleistung für das Softwareentwicklungsprojekt
  - Hausarbeit -> Das werden Projektdokumentationsarbeiten (im Wiki, evtl. auch Issues,  Code-Dokumentation u. ä.)

# **TOP 2**: User Storys
- User-Storys -> Wir haben bereits erste Storys verfasst, siehe Wiki
  - Sichtung der bereits formulierten Storys
    - "Schallausbreitung" wird im Rahmen der Masterarbeit von Pia Melina Rolf wahrscheinlich umgesetzt
    - Z. B. für dieses Projekt als Startpunkt geeignet: Hypsometrische Einfärbung
  - **ToDo** alle: Bis zur nächsten Sitzung gerne weitere Storys formulieren! 
    - Neue Storys können hier ergänzt werden: https://gitlab-ce.hs-bochum.de/web3d/tangiblesim/-/wikis/User_Stories 
- Hinweis: Benno Schmidt hat bereits erste Literatur rausgesucht zu den Storys und zur Arbeitsdomäne 
  - https://gitlab-ce.hs-bochum.de/fachbereich-geodaesie/gi-projekte/tangiblesim/-/tree/main/Literatur?ref_type=heads
- Testweise ChatGPT gefragt: "Prüfe mir diese User-Storys:"; Ergebnis war gut.
- Aufwandsabsschätzungen für Storys im Meeting der nächsten Woche -> 06.05.2025
- Weiteres Vorgehen dann: Story-Auswahl -> ebenfalls am 06.05.2025
  - **ToDo**: Storys bis dahin noch einmal durchlesen.

# **TOP 3**: Abfrage der Intel-Tiefenkamera
- Installation der Intel RealSense Depth Camera D415 erfolgreich auf Rechner von Pia Melina Rolf.
  - Hinweise dazu: intelrealsense.com/get-started, weiter: https://github.com/IntelRealSense/librealsense/releases/download/v2.56.3/Intel.RealSense.Viewer.beta.exe
- Installation auf Rechner von Leon Behler hat noch nicht geklappt -> **ToDo**
  - Neue Tiefenkamera hat Leon Behler mitgenommen; er versicht die Bilder via Python abzufragen
  - Lauffähiger Beispiel-Code ist im GitHub-Repository von Pia Melina Rolf: https://github.com/rolfp01/AR-Sandbox
  
# **TOP 4**: Issues
- Mögliche Issues
  - Literaturrecherche -> Zur Abstützung / Scoping
  - Konsolidierung User-Storys
  - Quellcode-Test: ...
  - Mission Statement (noch etwas holprig...):
    - "Es geht zunächst darum, per Tiefenkamera (RGB- und Tiefenbild) Situationen über oder auf einer *Arbeitsfläche* zu erfassen (z. B. Hände, Zeigestab, aufgestellte Objekte, Sandhöhen in der AR Sandbox etc.) und basierend auf der definierten Situation eine (Geo-) Simulation anzustoßen, deren Ergebnis lagerichtig per Beamer (farbig/strukturmäßig/helligkeitsmäßig) auf die Arbeitsfläche projiziert wird. Neben der Ergebnisdarstellung auf der Arbeitsfläche sind optional auch weitere Ausgabeformen möglich, z. B. per Audio, auf einem separaten Monitor o. ä."
    - Prüfen: Ist die Domäne zu eng oder zu breit oder genau richtig definiert? -> **ToDo**  weitere Wiedervorlage in der übernächsten Woche
  - Glossar
  - Vielleicht Kalibrierung: https://www.intel.com/content/www/us/en/download/645988/intel-realsense-d400-series-dynamic-calibration-tool.html -> Kandidat für Issue
    - Geht das über ein separates Tool von Intel?
  - Arbeitsbereicherkennung (Georeferenzierung/Bereichsfestlegung der Arbeitsfläche)
  - Objekterkennung
  - ...
  
Ende des Treffens: 16:20 Uhr

Nächstes Treffen: Di. 06.05.2025, 14:15 Uhr im A0-22
