# Protokoll
- Treffen Nr. 8 des Softwareentwicklungsprojektes (G6) im SoSe 2025
- Datum: 20.05.2025
- Beginn des Treffens: 14:15 Uhr
- Ort: A0-22
 
# Teilnehmer:innen
- Benno Schmidt
- Leon Behler
- Lena Labraimi

Fehlend:
- Pia Melina Rolf
- Christian Danowski-Buhren

# **TOP 1**: Organisatorisches
- Kollaboratives Online-Protokoll der heutigen Sitzung: https://edupad.ch/p/SVwevDuv5V
- Das Protokoll der vergangenen Sitzung wurde genehmigt.

# **TOP 2**: Installation der bisherigen Umgebung
- GitHub-Repository mit bisherigem Quellcode von Pia Melina Rolf: https://github.com/rolfp01/AR-Sandbox
- Wichtig bwei der Installation:
  - Python Version 3.10
  - pip install pyrealsense2
  - pip install Flask opencv-python
  - pip install numpy
  - pip install openni
  - Start: py app.py (Achtung: Muss die richruige Python-Version sein; Python-Caller macht da manchmal Ärger...) 
  - Aufruf der Anwendung im Webbrowser: http://127.0.0.1:5000/ 
- Sinnvolle/benötigte Dokumentation:
    - Installationsanleitung  -> **ToDo** *Leon Behler*, siehe Issue #8
      - -> später erste Prüfungsleistung
    - FAQs allg. Fragen / was bei Fehlern tun? etc. -> machen wir wahrscheinlich *gemeinsam*
    - Hello-World-Tutorial inkl. Empfehlung einer Entwicklungsumgebung (z. B. VSCode) -> übernimmt wahrscheinlich *Lena Labraimi* später

# **TOP 3**: Issues
- Issues (dt. in der GitLab-Oberfläche: "Tickets")
  - https://gitlab-ce.hs-bochum.de/fachbereich-geodaesie/gi-projekte/tangiblesim/-/issues 
  - Weiteres Issue wird sein: Wie baue ich eine "Hello, World"-Anwendung? 
    - Wie könnte die aussehen? -> **ToDo** Hausaufgabe wäre, darüber nachzudenken (möglichst etwas Einfaches auf Basis des Graustufenbildes)
  
Ende des Treffens: 15:52 Uhr

Nächstes Treffen: Di. 27.05.2025, 14:15 Uhr im A0-22
